## org.eclipse.emf.cdo.common.protocol
Interface CDOAuthenticator

    public interface CDOAuthenticator

The front-end of the CDO challenge/response authentication.

Since:
  2.0

Method Summary
`CDOAuthenticationResult` `authenticate(byte[] randomToken)`
`org.eclipse.net4j.util.security.IPasswordCredentialsProvider` `getCredentialsProvider()`
`java.lang.String` `getEncryptionAlgorithmName()`
`int` `getEncryptionIterationCount()`
`byte[]` `getEncryptionSaltBytes()`
`void` `setCredentialsProvider(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)`
`void` `setEncryptionAlgorithmName(java.lang.String encryptionAlgorithmName)`
`void` `setEncryptionIterationCount(int encryptionIterationCount)`
`void` `setEncryptionSaltBytes(byte[] encryptionSaltBytes)`

Method Detail

### getEncryptionAlgorithmName

    java.lang.String getEncryptionAlgorithmName()

### setEncryptionAlgorithmName

    void setEncryptionAlgorithmName(java.lang.String encryptionAlgorithmName)

### getEncryptionSaltBytes

    byte[] getEncryptionSaltBytes()

### setEncryptionSaltBytes

    void setEncryptionSaltBytes(byte[] encryptionSaltBytes)

### getEncryptionIterationCount

    int getEncryptionIterationCount()

### setEncryptionIterationCount

    void setEncryptionIterationCount(int encryptionIterationCount)

### getCredentialsProvider

    org.eclipse.net4j.util.security.IPasswordCredentialsProvider getCredentialsProvider()

### setCredentialsProvider

    void setCredentialsProvider(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)

### authenticate

    CDOAuthenticationResult authenticate(byte[] randomToken)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.